<div class="event"><h1>Создание колхоза</h1></div>
<div class="content">
<div class="block">
<?
$need_rubies=10000;
if(isset($_POST['name']))
{
$name=$_POST['name'];
if($ku['rubies']<$need_rubies)
{
no_rubies($need_rubies-$ku['rubies']);
}
elseif(strlen2($name)<2 || strlen2($name)>24)echo err_game("Длина названия должна быть от 2 до 24 символов.");
elseif($mc['id'])echo err_game("Сначала покиньте свой колхоз.");
elseif(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_collective` WHERE `name` = '".my_esc($_POST['name'])."'"),0)!=0)err_game("Введённое название уже занято.");
elseif($ku['level']<10)err_game("Ваш уровень не позволяет вам создать колхоз, нужен 10-тый уровень!");
else
{
mysql_querll("INSERT INTO `kolhoz_collective` SET `name` = '".my_esc($name)."', `time` = '$time'");
$id=mysql_insert_id();
mysql_querll("INSERT INTO `kolhoz_collective_user` SET `id_user` = '$ku[id]', `id_collective` = '$id', `time` = '$time', `status` = '1'");
mysql_querll("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$need_rubies)."' WHERE `id` = '$ku[id]'");
mysql_querll("INSERT INTO `kolhoz_collective_history` SET `id_user` = '$ku[id]', `id_who` = '$ku[id]', `id_collective` = '$id', `time` = '$time', `type` = 'in', `dei` = 'who'");
header("Location:?mycollective");
exit;
}
}
?>
<form action="" method="post">
<label>
Название:<br/>
<input type="text" class="wide" value="" name="name"><br/>
</label>
<input type="submit" value="Создать">
</form>
<div class="small">Цена создания колхоза <img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span class="title"><? echo $need_rubies; ?></span> рубинов.</div>
</div>
<?
include_once 'inc/foot.php';
?>